Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.renderer.impl
Class DefinitionAttributeRenderer

    java.lang.Object
      org.apache.tiles.renderer.impl.AbstractBaseAttributeRenderer
          org.apache.tiles.renderer.impl.AbstractTypeDetectingAttributeRenderer
              org.apache.tiles.renderer.impl.DefinitionAttributeRenderer

All Implemented Interfaces:
  TilesApplicationContextAware, TilesContainerAware, TilesRequestContextFactoryAware, AttributeEvaluatorFactoryAware, AttributeRenderer, TypeDetectingAttributeRenderer

    public class DefinitionAttributeRenderer

extends AbstractTypeDetectingAttributeRenderer
implements TilesContainerAware

Renders an attribute that contains a reference to a definition.

Since:
  2.1.0
Version:
  $Rev: 821299 $ $Date: 2009-10-03 14:15:05 +0200 (sab, 03 ott 2009) $

Field Summary
`protected TilesContainer` | `container` The Tiles container.

Fields inherited from class org.apache.tiles.renderer.impl.AbstractBaseAttributeRenderer
`applicationContext, attributeEvaluatorFactory, contextFactory`

Constructor Summary
`DefinitionAttributeRenderer()`

Method Summary
`boolean` | `isRenderable(java.lang.Object value, Attribute attribute, TilesRequestContext request)` Checks if this renderer can render an attribute.
`void` | `setContainer(TilesContainer container)` Sets the Tiles container.
`void` | `write(java.lang.Object value, Attribute attribute, TilesRequestContext request)` Implement this method knowing that the attribute won't be null and it will be authorized.

Methods inherited from class org.apache.tiles.renderer.impl.AbstractTypeDetectingAttributeRenderer
`isRenderable`

Methods inherited from class org.apache.tiles.renderer.impl.AbstractBaseAttributeRenderer
`getRequestContext, isPermitted, render, setApplicationContext, setAttributeEvaluatorFactory, setRequestContextFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.tiles.renderer.AttributeRenderer
`render`

Field Detail

### container

    protected TilesContainer container

  The Tiles container.

  Since:
    2.1.0

Constructor Detail

### DefinitionAttributeRenderer

    public DefinitionAttributeRenderer()

Method Detail

### setContainer

    public void setContainer(TilesContainer container)

  Sets the Tiles container.

  Specified by:
    `setContainer` in interface `TilesContainerAware`
  Parameters:
    `container` - The Tiles container.

### write

    public void write(java.lang.Object value,
                      Attribute attribute,
                      TilesRequestContext request)
               throws java.io.IOException

  Implement this method knowing that the attribute won't be null and it will be authorized.

  Specified by:
    `write` in class `AbstractBaseAttributeRenderer`
  Parameters:
    `value` - The value of the attribute to be rendered.
    `attribute` - The attribute to render.
    `request` - The Tiles request object.
  Throws:
    `java.io.IOException` - If something goes wrong during rendition.

### isRenderable

    public boolean isRenderable(java.lang.Object value,
                                Attribute attribute,
                                TilesRequestContext request)

  Checks if this renderer can render an attribute. Note that this does not mean it is the best renderer available, but checks only its capability.

  Specified by:
    `isRenderable` in interface `TypeDetectingAttributeRenderer`
  Parameters:
    `value` - The attribute value, already evaluated.
    `attribute` - The attribute to be renderer.
    `request` - The Tiles request context.
  Returns:
    `true` if this renderer can render the attribute.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.